net.sf.jasperreports.engine.virtualization

## Class IntegerSerializer

- java.lang.Object
- - net.sf.jasperreports.engine.virtualization.IntegerSerializer

- All Implemented Interfaces:
    ObjectSerializer<java.lang.Integer>

      public class IntegerSerializer
      extends java.lang.Object
      implements ObjectSerializer<java.lang.Integer>

  Version:
    $Id: IntegerSerializer.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReferenceType` | `defaultReferenceType()`
    `boolean` | `defaultStoreReference()`
    `java.lang.Integer` | `read(VirtualizationInput in)`
    `int` | `typeValue()`
    `void` | `write(java.lang.Integer value, VirtualizationOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerSerializer

          public IntegerSerializer()

  - ### Method Detail

    - #### typeValue

          public int typeValue()

      Specified by:
        `typeValue` in interface `ObjectSerializer<java.lang.Integer>`

    - #### defaultReferenceType

          public ReferenceType defaultReferenceType()

      Specified by:
        `defaultReferenceType` in interface `ObjectSerializer<java.lang.Integer>`

    - #### defaultStoreReference

          public boolean defaultStoreReference()

      Specified by:
        `defaultStoreReference` in interface `ObjectSerializer<java.lang.Integer>`

    - #### write

          public void write(java.lang.Integer value,
                   VirtualizationOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `ObjectSerializer<java.lang.Integer>`
      Throws:
        `java.io.IOException`

    - #### read

          public java.lang.Integer read(VirtualizationInput in)
                                 throws java.io.IOException

      Specified by:
        `read` in interface `ObjectSerializer<java.lang.Integer>`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com